//  Copyright 2016 (c) Stephan Menzel, vr-on GmbH

#pragma once
#include "CommandShm.hpp"

#include <boost/thread.hpp>

#include <memory>
#include <atomic>
#include <map>
#include <functional>

class ShmClient : boost::noncopyable {

	public:
		ShmClient();
		virtual ~ShmClient() noexcept;

		std::string send_command(const std::string &n_command) noexcept;

	private:
		CommandInterfaceSPtr    m_command;              //!< managed shared memory segment
};
